//
//  $Id: IrIasParameters.cc,v 1.2 2000/06/04 23:23:40 sergey Exp $
//

#include <Common.h>
#include <ErrorMgr.h>
#include "IrIasParameters.h"
#include "Util/Assert.h"


namespace IrDA
{
    //==========================================================================
    // IasParameter class
    //==========================================================================

    // operations

    void IasParameter::initFrom(const Byte* stream)
    {
        assert(stream != NULL);

        _identifier = stream[0];
        _length = stream[1];
        _value = stream+2;
    }


    //==========================================================================
    // IasParameterList class
    //==========================================================================

    IasParameterList::IasParameterList(const Byte* stream, int size):
        _stream(stream), _size(size)
    {
        assert(stream != NULL);
        assert(size > 0);
    }

    // operations

    bool IasParameterList::getParameter(IasParameter& parameter) const
    {
        if (_stream != NULL)
        {
            for (int pos = 0; pos < _size; pos += parameter.size())
            {
                parameter.initFrom(_stream+pos);
                if (parameter.checkType())
                    return true;
            }
        }

        return false;
    }
}
// namespace IrDA
